//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  Error.hpp -- template and derived ESC/I ESC/I-2 protocol commands
#pragma once

       
#include <boost/exception/all.hpp>
#include <boost/throw_exception.hpp>
#include <stdexcept>
namespace epsonscan {
  class Error
  {
  };
  class RuntimeError : public Error, public boost::exception, public std::runtime_error
  {
   public:
    RuntimeError(const char* message) : std::runtime_error(message)
    {
    }
    RuntimeError(const char* message, SDIError error) : std::runtime_error(message), error_(error)
    {
    }
    SDIError GetCode()
    {
     return error_;
    }
   private:
    SDIError error_ = kSDIErrorUnknownError;
  };
  #define ES_REQUIRE(expression, string) { if (!(expression)) { BOOST_THROW_EXCEPTION(RuntimeError(string)); } }
}
