//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  Threshold.cpp -- template and derived ESC/I ESC/I-2 protocol commands

#include "Threshold.hpp"
#include "Scanner.hpp"
#include <ES2Command/ES2CommandAPI.h>
namespace epsonscan {
void Threshold::SetValue(const SDIInt& intVal)
{
 current_ = intVal;
}
void Threshold::Reset()
{
 current_ = 110;
}
void Threshold::GetValue(SDIInt& intVal)
{
 intVal = current_;
}
void Threshold::GetCapability(SDICapability &capability)
{
 SetDefaultListCapability(capability);
 capability.supportLevel= kSDISupportLevelAvailable;
 if (GetValueInt(kSDIColorTypeKey) != kSDIColorTypeMono1)
 {
  capability.minValue = 0;
  capability.maxValue = 0;
  capability.supportLevel= kSDISupportLevelUnavailable;
 }
 capability.allMinValue = 0;
 capability.allMaxValue = 255;
}
ESDictionary Threshold::GetEngineKeyValues()
{
 auto dict = ESDictionary();
 return dict;
}
}
