//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  FKSource.h -- template and derived ESC/I ESC/I-2 protocol commands
#pragma once

       
#include "FileFormatKit.h"
typedef std::vector< ESDictionary > FKDictArray;
class CFKSource : public IFKSource
{
private:
 ES_CMN_FUNCS::BUFFER::CESHeapBuffer m_cSource;
 FKSourceType m_eType;
 BOOL m_bFull;
public:
 CFKSource();
 virtual ~CFKSource();
 FKSourceType GetFKSourceType() const override
 {
  return m_eType;
 }
 BOOL IsFull() const override
 {
  return m_bFull;
 }
 ES_CMN_FUNCS::BUFFER::IESBuffer& GetSource( );
 static IFKSource* CreateAndInitInstanceWithType(FKSourceType eSourceType, ES_CMN_FUNCS::BUFFER::IESBuffer& vpSource, BOOL bIsFull);
 void Destroy() override{
  delete this;
 }
 const ES_CMN_FUNCS::BUFFER::IESBuffer& GetConstSource( ) const override;
};
