//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  commandlinemode.h -- template and derived ESC/I ESC/I-2 protocol commands

#ifndef COMMANDLINEMODE_H
#define COMMANDLINEMODE_H 
#include "networkdeviceselectdialog.h"
class CommandLineMode
{
public:
    CommandLineMode();
    bool SelectMode(int option_num, const char** option);
    bool SelectEditMode(int option_num, const char** option);
private:
    void ShowHelp();
    void ListDevices();
    void SetIPAddress(const char* ip_address);
    void ScanStart(const char* target_device, const char* settings_file_path);
    bool ValidateScanOption(int option_num, const char** option);
    void ErrorMessage(SDIError outError);
    bool ValidateEditOption(int option_num, const char** option);
    static void cancel_sig_handler(int sig);
    void UpdateScanArea(SCAN_AREA_VALUE& scan_area_parameter, int resolution);
    double calculate_pixel_size(double value, int res);
};
#endif
