//  Copyright (C) 2018-2019  SEIKO EPSON CORPORATION
//
//  License: GPL-3.0+
//  Author : SEIKO EPSON CORPORATION
//
//  This file is part of the 'Epson Scan 2' package.
//  This package is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License or, at
//  your option, any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//  You ought to have received a copy of the GNU General Public License
//  along with this package.  If not, see <http://www.gnu.org/licenses/>.
//  
//  resolution.h -- template and derived ESC/I ESC/I-2 protocol commands

#ifndef RESOLUTION_H
#define RESOLUTION_H 
#include <QComboBox>
#include "supervisor.h"
class Resolution : public QComboBox
{
public:
    Resolution(QWidget *parent = 0);
    ResolutionList current_item;
    int current_value;
    void focusOutEvent(QFocusEvent* event);
    void initialize(INT_SETTING_VALUE resolution_para);
    void update_ui(INT_SETTING_VALUE resolution_para);
    void validate_input();
    void item_event(int value, INT_SETTING_VALUE* resolution_para);
private:
    bool changed;
    QIntValidator* validator;
    void set_enabled(bool enabled);
    void create_list(INT_SETTING_VALUE resolution_para);
    void select_item();
    int IdToValue(ResolutionList item);
    ResolutionList ValueToId(int res);
};
#endif
